This is zchaff2ShopScheduling

<?php
    $dimacs = $argv[1];
	if ($dimacs == "") {
		echo("c Syntax: php ".$argv[0]." <dimacs instance>\nzChaff output read from stdin");
		exit;
	};

	$file = fopen($dimacs, "r") or die("Unable to open dimacs file");
	
	$dictionary = NULL; // will be an array: dimacsVar --> j,m,t (start(j,m)==t)
	
	while(!feof($file)) {
		  $line =  trim(fgets($file));
		  //echo("checking line $line\n");
		  if ($line === "c START DICTIONARY") break;
	}
	if (feof($file)) die("Could not find dictionary");
	
	// found START DICTIONARY LINE
	while(!feof($file)) {
		  $line =  trim(fgets($file));
		  if ($line == "c END DICTIONARY") break;
		  // line of the form: "c start(j,m,t) = dimacsVar"
		  list($left, $right) = split("=", $line);
		  $left = trim($left);
		  $right = trim($right);
		  $matches = NULL;
		  //echo("LEFT: $left\n");
		  preg_match("/([^(]*)\(([^(]*)\)/", $left, $matches);
		  $varList = $matches[2];
		  $dictionary[$right] = $varList;
	}
	//print_r($dictionary);
	fclose($file);
	
	
	
	$file = fopen("php://stdin", "r");	
	
	
	$SCHEDULER == NULL; // 2D-matrix:  SCHEDULER[machine] = array of "start job j/--" forall t in 1..D 
	
	while(!feof($file)) {
		  $line =  trim(fgets($file));
		  if ($line === "Instance Satisfiable") break;
	}
	if (feof($file)) die("Could not find model\n");
	
	// next line is the model found
	$line = trim(fgets($file));
	$model = split(" ", $line);
	
	$tmax=1;
	
	foreach($model as $l) {
		if (!is_numeric($l)) continue;	
		if ($l < 0) continue;

		$varList = $dictionary[$l];
		if ($varList === NULL) echo("ERROR: could not find dictionary item for dimacs variable $l\n");
		$vars = split(",", $varList);
		echo("start(j=".$vars[0].", m=".$vars[1].", t=".$vars[2].")\n");
		
		if ($tmax<$vars[2]) $tmax=$vars[2];
		
		$SCHEDULER[$vars[1]][$vars[2]] = $vars[0];
	}
	
	//print_r($SCHEDULER);
	
	
	foreach($SCHEDULER as $m=>$s) {
		echo("M$m: ");
		for($t=1; $t<=$tmax; $t++) {
			$str="";
			$entry = $SCHEDULER[$m][$t];
			if($entry!=NULL) $str="J".$entry;
			for($i=strlen($str)+1; $i<5; $i++) {
				$str .= ".";
			}
			echo($str . " ");
		}
		echo("\n");
	}
	
	
	?>
	
	
	
	